# include "std.h"
# if LICENCE
   This file is part of cwrite.
   Copyright 2007, Desislav Georgiev.
 
   cwrite is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
 
   cwrite is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with cwrite.  If not, see <http://www.gnu.org/licenses/>.
# endif
# if HEADER
   # include <stdio.h>
   # include <stdlib.h>
   # include <fcntl.h>
   # include <unistd.h>
   # include "key.h"
# endif
# if GLOBAL
   char * _message[50];
# endif

void message_load()
   { int fd = open("/usr/share/cwrite/message.txt", O_RDONLY);
     if ( fd == -1 )
       { printf("Failed to open message.txt\n");
         exit(-1);
       }
     int eof = lseek(fd, 0, SEEK_END);
     char * _message_file = (char *) calloc(1, eof+1);
     lseek(fd, 0, SEEK_SET);
     read(fd, _message_file, eof);
     close(fd);

     int k = 1;
     char * _message_file_point = _message_file;
     char * _message_point;
     while ( * _message_file )
        { _message[k] = (char *) malloc(40);
          _message_point = _message[k];
          while ( * _message_file && * _message_file != CTRL_J )
             { * _message_point++ = * _message_file++;
             }
          * _message_point = 0; 
          k++;
          _message_file++;
        }
     free(_message_file_point);
     return;
   }
void message_print()
   { for ( int i = 1; i < 10; i++ )
        { printf("_message[%d] = %s\n", i, _message[i]);
        }
     return;
   }
