# include "std.h"
# if LICENCE
   This file is part of cwrite.
   Copyright 2007, Desislav Georgiev.
 
   cwrite is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
 
   cwrite is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with cwrite.  If not, see <http://www.gnu.org/licenses/>.
# endif
# if HEADER
   # include <stdio.h>
   # include <stdlib.h>
   # include <unistd.h>
   # include <fcntl.h>
   # include "cwrite.h"
   # include "failure.h"
   # include "preferences.h"
# endif
# if GLOBAL
   Preferences * _preferences;
# endif

void preferences_init()
   { _preferences = (Preferences *) calloc(1, sizeof(Preferences));
     _preferences->color_theme = 1;
     _preferences->tab_value = 3;
     _preferences->syntax = SYNTAX_C;

     return;
   }
void preferences_save()
   { int sid = 105;
     FILE * _file = fopen(_user_preferences, "w+");
     if ( ! _file )
        { fail(sid, "Failed to creat preferences file");
        }
     fclose(_file);
     int fd = open(_user_preferences, O_WRONLY);
     if ( fd == -1 )
        { return;
        }
     write(fd, _preferences, sizeof(Preferences));
     close(fd);
     return;
   }
void preferences_load()
   { int fd = open(_user_preferences, O_RDONLY);
     if ( fd == -1 )
        { return;
        }
     read(fd, _preferences, sizeof(Preferences));
     close(fd);
     return;
   }

